#pragma once

#include <Fenster.h>
#include <Bild.h>

class ItemList : public Framework::ZeichnungHintergrund
{
private:
    Framework::Punkt mausPos;
    int currentTooltipSlot;
    int* slotList;
    int slotCount;
    
    int ItemList::getSlotByLocalPos(Framework::Punkt pos);
    void doMausEreignis(Framework::MausEreignis& me, bool userRet) override;

public:
    ItemList();
    ~ItemList();
    bool tick(double time) override;
    void adjustSize(int parentWidth, int parentHeight);
    void render(Framework::Bild& rObj) override;
};

class ItemListContainer : public Framework::Fenster
{
private:
    ItemList* list;

public:
    ItemListContainer();
    bool tick(double time) override;
};